# SHLD Free MIDI Chord Packs

Now over than 7900 MIDI files! This is a collaborative project to create a collection of all chords
and useful chord progressions in all keys, as MIDI files, usable
with your favorite DAW.

This collection is FREE and you can contribute to it using the issue tracker above.
Please use the bug tracker if you find incorrect chords! 

All the MIDI files are licensed under the MIT license, and **you can them use in any musical project freely**.

 * More details in [my blog](https://drolez.com/blog/music/free-midi-chords-progressions.php)
 * Quick [Video demo](https://youtu.be/mNBI6uQXltY) with Ableton

## Installation

Just download and unzip one of the [release file](https://github.com/ldrolez/free-midi-chords/releases). 
Then drag and drop the MIDI files from your DAW to your tracks.

![Drag drop chords ableton](https://i.imgur.com/vys6qGl.gif)

## Contents

In the file free-midi-chords-YYYYMMDD, the chords collection is organized using 4 levels of directories:

 * 1st level: All 12 Major and Minor keys
   * 2nd level: 
     * 1 Triads
       * 3rd level: Major and Minor scales
     * 2 7ths and 9ths chords
       * 3rd level: Major and Minor scales
     * 3 All other chords
       * 3rd level: Major and Minor scales
     * 4 Chord progressions
       * 3rd level: Major and Minor scales
         * 4th level: Rhythmic variations 

Below the progressions directory, you'll find 3 more directories. They contain the same MIDI chord progressions files but with different timings: basic4 style, alt4 style and hiphop style.

In the file free-midi-progressions-YYYYMMDD, you'll find only chord progressions in all the keys in a single directory. This way it's easier to import them in your Akai MPC, Roland MC-707 or MC-101 for example. 

## How to contribute

To suggest new chords for the next chord pack:
 * Go to [new chords suggestions](https://github.com/ldrolez/free-midi-chords/issues/new?assignees=&labels=new+chords&template=new-chord.md&title=%5Bnew+chord+progression%5D+)
 * Or send me a PM

## Related

The script uses chords2midi from Rich Jones, and Python Mingus.

 * [chords2midi](https://github.com/Miserlou/chords2midi) - Create MIDI files from numerical chord progressions.

The following software is also bundled with this chords pack:

 * [Helium AUv3 MIDI Sequencer for iPad](https://apps.apple.com/gb/app/helium-auv3-midi-sequencer/id1563152523)
 * [chordProgressions Max4Live device](https://maxforlive.com/library/device.php?id=7559)

Ludovic Drolez.

